<?php

$table = "hlo";
$file = "hlo0.php";

include "common.php";
include "hlo-ok.php";

echo "
<html>
<head>
 <title>VIHA - Henkiltiedot</title>
</head>
" . body_bgcolor() . "
<h1>Henkilkohtaisten tietojen ksittely ja henkiliden siirto
    operaatiosta toiseen</h1>
";

hallinnolliset_linkit();

$id = get_nro_0('id');
$paivystys_id = get_nro_1('paivystys_id');
$nimi = get_txt('nimi');
$puhelin = get_txt('puhelin');
$ryhma_id = get_nro_1('ryhma_id');
$hlo_tila_id = get_nro_1('hlo_tila_id');
$hlo_asema_id = get_nro('hlo_asema_id');
if ($hlo_asema_id == "") { $hlo_asema_id = "5"; }
$jarjesto_id = get_nro_1('jarjesto_id');
$ra = get_txt('ra');

$add = get_txt('add');
$clear = get_txt('clear');
$save = get_txt('save');
$confirm = get_txt('confirm');
$change = get_txt('change');
$remove = get_txt('remove');

oltava_0($file);

if (($add != '') && saa_tehda("$file:add")) {
  $ret = hlo_add_ok($herja,$paivystys_id,$nimi,$ryhma_id,$hlo_tila_id,
		    $hlo_asema_id,$jarjesto_id);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $sql = "
INSERT INTO hlo
VALUES (0, $paivystys_id, '$nimi', '$puhelin', $ryhma_id, $hlo_tila_id,
        $hlo_asema_id, $jarjesto_id, 1, '$ra', '$now')
";
    $result = my_mysql_query ($sql);
    print "<p>Tiedot listty.\n";
    $clear = "SISINEN";
    loki("$sql id=" . last_insert_id());
    taktinen_loki("Listty henkil $nimi, ryhm " . ota_kutsu($ryhma_id)
		  . ", tila " . ota_hlo_tila($hlo_tila_id)
		  . ", asema " . ota_hlo_asema($hlo_asema_id));
  }
  if ($ret != 0) {
    echo "<p>$herja\n";
  }
 }

if (($save != '') && saa_tehda("$file:save")) {
  $ret = hlo_save_ok($herja,$id,$paivystys_id,$nimi,$ryhma_id,$hlo_tila_id,
		     $hlo_asema_id,$jarjesto_id);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $sql = "
UPDATE hlo
SET paivystys_id='$paivystys_id', nimi='$nimi', puhelin='$puhelin',
    ryhma_id=$ryhma_id, hlo_tila_id=$hlo_tila_id, hlo_asema_id=$hlo_asema_id,
    jarjesto_id=$jarjesto_id, ra='$ra', ts='$now'
WHERE id=$id
";
    $result = my_mysql_query ($sql);
    print "<p>Tiedot pivitetty.\n";
    $clear = "SISINEN";
    loki($sql);
    taktinen_loki("Muutettu henkil " . ota_nimi($id)
		  . ", ryhm " . ota_kutsu($ryhma_id)
		  . ", tila " . ota_hlo_tila($hlo_tila_id)
		  . ", asema " . ota_hlo_asema($hlo_asema_id));
  }
  if ($ret != 0) {
    echo "<p>$herja\n";
  }
 }

if (($confirm != '') && saa_tehda("$file:confirm")) {
  $ret = hlo_remove_ok($herja,$id);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    taktinen_loki("Poistetaan henkil "
		  . ota_nimi($id));
    $sql = "DELETE FROM hlo WHERE id = $id";
    $result = my_mysql_query ($sql);
    print "<p>Tiedot poistettu.\n";
    $clear = "SISINEN";
    loki($sql);
  }
  if ($ret != 0) {
    echo "<p>$herja";
  }
 }

if ($clear != '') {
    $id = "0";
    $paivystys_id = "1";
    $nimi = '';
    $puhelin = '';
    $ryhma_id = "1";
    $hlo_tila_id = "1";
    $hlo_asema_id = "5";
    $jarjesto_id = "1";
    $ra = '';
}

# readonly tells if the fields are readonly. if not, they are editable.
if ($remove != '') { $readonly = 1; } else { $readonly = 0; }

# removable tells if we can actually remove this record
if ($remove != '') {
  $removable = 0;
  $ret = hlo_remove_ok($herja,$id);
  if ($ret != 2) {
    $removable = 1;
  }
  if ($ret != 0) {
    echo "<p>$herja\n";
  }
}

print "<form action=\"\" method=\"GET\">\n";
print "<p><table border=0>\n";

if ($id != "0") {
  $result = my_mysql_query("SELECT * FROM hlo WHERE id = $id");
  $a = mysql_fetch_array($result);
  $paivystys_id = $a[paivystys_id];
  $nimi = $a[nimi]; $puhelin = $a[puhelin]; $ryhma_id = $a[ryhma_id];
  $hlo_tila_id = $a[hlo_tila_id];
  $hlo_asema_id = $a[hlo_asema_id];
  $jarjesto_id = $a[jarjesto_id];
  $ra = $a[ra]; 
}		  
print "<tr><td>Id:";
if ($id == "0") {
  print "<td>(tehdn uusi)\n";
} else {
  print "<td>$id\n";
}
print "<td><input type=\"hidden\" name=\"id\" size=8 maxlength=8";
print " value=\"$id\">\n";

print "<tr><td>Nimi:";
if ($readonly) {
  print "<td>$nimi\n";
} else {
  print "<td><input type=\"text\" name=\"nimi\" size=64 maxlength=64";
  print " value=\"$nimi\"> Sukunimi Etunimi\n";
}

print "<tr><td>Operaatio:";
if ($readonly) {
  print "<td>"
    . ota_yksi_0("SELECT nimi FROM paivystys WHERE id = $paivystys_id",
		 $paivystys_id, "EI MIKN")
    . "\n";
} else {
  print "<td>\n";
  tee_valinta_plus_0("paivystys_id", $paivystys_id, "paivystys", "id",
		     "nimi", "", "EI MIKN");
}

print "<tr><td>Puhelin:";
if ($readonly) {
  print "<td>$puhelin\n";
} else {
  print "<td><input type=\"text\" name=\"puhelin\" size=32 maxlength=32";
  print " value=\"$puhelin\">\n";
}

print "<tr><td>Ryhm:";
if ($readonly) {
  print "<td>"
    . ota_yksi("SELECT kutsu FROM ryhma WHERE id = $ryhma_id") . "\n";
} else {
  print "<td>\n";
  tee_valinta_plus_paivystys("ryhma_id", $ryhma_id, "ryhma", "id", "kutsu",
			     "ORDER BY pri");
}

print "<tr><td>Tila:";
if ($readonly) {
  print "<td>"
    . ota_yksi("SELECT hlo_tila FROM hlo_tila WHERE id = $hlo_tila_id") . "\n";
} else {
  print "<td>\n";
  tee_valinta("hlo_tila_id", $hlo_tila_id, "hlo_tila", "id", "hlo_tila",
	      "ORDER BY hlo_tila");
}

print "<tr><td>Asema:";
if ($readonly) {
  print "<td>"
    . ota_yksi("SELECT hlo_asema FROM hlo_asema WHERE id = $hlo_asema_id")
    . "\n";
} else {
  print "<td>\n";
  tee_valinta("hlo_asema_id", $hlo_asema_id, "hlo_asema", "id", "hlo_asema",
	      "ORDER BY pri");
}

print "<tr><td>Jrjest:";
if ($readonly) {
  print "<td>"
    . ota_yksi("SELECT jarjesto FROM jarjesto WHERE id = $jarjesto_id")
    . "\n";
} else {
  print "<td>\n";
  tee_valinta("jarjesto_id", $jarjesto_id, "jarjesto", "id", "jarjesto",
	      "ORDER BY jarjesto");
}

print "<tr><td>Listieto:";
if ($readonly) {
  print "<td>$ra\n";
} else {
  print "<td><input type=\"text\" name=\"ra\" size=16 maxlength=16";
  print " value=\"$ra\"> (koulutus, radioamatrikutsu, tms)\n";
}

print "</table>\n";

if ($change != "") {
  print "<input type=\"submit\" name=\"save\" value=\"TALLENNA\">\n";
  print "<input type=\"submit\" name=\"clear\" value=\"PERUUTA\">\n";
} elseif ($remove != "") {
  if ($removable) {
    echo "<input type=\"submit\" name=\"confirm\" value=\"VAHVISTA POISTO\">\n";
  }
  print "<input type=\"submit\" name=\"clear\" value=\"PERUUTA\">\n";
} else {
  print "<input type=\"submit\" name=\"add\" value=\"LIS\">\n";
  print "<input type=\"submit\" name=\"clear\" value=\"TYHJENN\">\n";
}

$sql = "
SELECT hlo.id, hlo.paivystys_id, hlo.nimi, hlo.puhelin, ryhma.kutsu,
       hlo_tila.hlo_tila, hlo.ra, hlo.ts, hlo_asema, jarjesto
FROM hlo, ryhma, hlo_tila, hlo_asema, jarjesto
WHERE ryhma.id = hlo.ryhma_id AND hlo_tila.id = hlo.hlo_tila_id
      AND hlo_asema.id = hlo_asema_id AND jarjesto.id = jarjesto_id
ORDER BY hlo.nimi
";
$result = my_mysql_query($sql);
if ($result) {
  echo "<p><TABLE BORDER=1>\n";
  echo tr_bgcolor()
    . "<TH>Id<TH>Aikaleima<TH>Nimi<TH>Operaatio<TH>Puhelin<TH>Ryhm"
    . "<TH>Tila<TH>Asema<TH>Jrjest<TH>Listieto\n";
  while ($a = mysql_fetch_array($result)) {
    echo "<TR><TD>$a[id]",
      "<TD>$a[ts]",
      "<TD>$a[nimi]",
      "<TD>". tab_col_id_none("paivystys","nimi",$a[paivystys_id]),
      "<TD>$a[puhelin]",
      "<td>$a[kutsu]",
      "<td>$a[hlo_tila]",
      "<td>$a[hlo_asema]",
      "<td>$a[jarjesto]",
      "<TD>$a[ra]";
    if ($id == "0") {
      echo "<td><a href=\"$file?id=$a[id]&change=MUUTA\">MUUTA</a>\n";
      echo "<td><a href=\"$file?id=$a[id]&remove=POISTA\">POISTA</a>\n";
    }
  }
  echo "</TABLE>";
 } else {
  echo "<P>Plop. Ei henkiltietoja.";
 }

print "</form>\n";

loppu();

?>
</body> 
</html>
<!-- RCS $Id: hlo0.php,v 1.6 2009/01/31 10:57:40 riku Exp $ -->
