<?php

$table = "hlo_tila";
$file = "hlo_tila0.php";

include "common.php";
include "hlo_tila-ok.php";

echo "
<html>
<head>
 <title>VIHA - Henkiln tilakoodit</title>
</head>
" . body_bgcolor() . "
<h1>Henkiln tilakoodien ksittely ja siirto operaatiosta toiseen</h1>
";

hallinnolliset_linkit();

$id = get_nro_0('id');
$paivystys_id = get_nro_1('paivystys_id');
$hlo_tila = get_txt('hlo_tila');
$suojattu = get_nro('suojattu');

$add = get_txt('add');
$clear = get_txt('clear');
$save = get_txt('save');
$confirm = get_txt('confirm');
$change = get_txt('change');
$remove = get_txt('remove');

oltava_0($file, $table, $id);

if (($add != '') && saa_tehda("$file:add")) {
  $ret = hlo_tila_add_ok($herja,$paivystys_id,$hlo_tila);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $sql = "
INSERT INTO $table
VALUES (0, $paivystys_id, '$hlo_tila', 0, '$now')
";
    $result = my_mysql_query ($sql);
    echo "<p>Tiedot listty.\n";
    $clear = "SISINEN";
    loki("$sql id=" . last_insert_id());
  }
  if ($ret != 0) {
    echo "<p>$herja\n";
  }
}

if (($save != '') && saa_tehda("$file:save")) {
  $ret = hlo_tila_save_ok($herja,$id,$paivystys_id,$hlo_tila);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    # Jos on henkilit, joilla on tm tilakoodi ja toinen pivystyskoodi,
    # muuta ne
    $paivitettavat_hlot = ota_yksi ("
SELECT COUNT(*)
FROM hlo
WHERE hlo_tila_id = $id
      AND paivystys_id != $paivystys_id AND paivystys_id != 0
");
    if ($paivitettavat_hlot > 0) {
      $sql1 = "
UPDATE hlo
SET hlo_tila_id = 1
WHERE hlo_tila_id = $id
      AND paivystys_id != $paivystys_id AND paivystys_id != 0
";
      $result1 = my_mysql_query($sql1);
      loki($sql1);
    }
    $sql = "
UPDATE hlo_tila
SET paivystys_id=$paivystys_id, hlo_tila='$hlo_tila', ts='$now'
WHERE id=$id
";
    $result = my_mysql_query ($sql);
    echo "<p>Tiedot pivitetty.\n";
    if ($paivitettavat_ryhmat > 0) {
      echo " Mys $paivitettavat_hlot henkiln tietoja muutettu.";
    }
    $clear = "SISINEN";
    loki($sql);
  }
  if ($ret != 0) {
    echo "<p>$herja\n";
  }
} # save

if (($confirm != '') && saa_tehda("$file:confirm")) {
  $ret = hlo_tila_remove_ok($herja,$id);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $sql = "DELETE FROM $table WHERE id = $id";
    $result = my_mysql_query ($sql);
    echo "<p>Tiedot poistettu.\n";
    $clear = "SISINEN";
    loki("DELETE hlo_tila id=$id");
  }
  if ($ret != 0) {
    echo "<p>$herja\n";
  }
 }

if ($clear != '') {
  $id = "0";
  $paivystys_id = 1;
  $hlo_tila = '';
}

# readonly tells if the fields are readonly. if not, they are editable.
if ($remove != '') { $readonly = 1; } else { $readonly = 0; }

# removable tells if we can actually remove this record
if ($remove != '') {
  $removable = 0;
  $ret = hlo_tila_remove_ok($herja,$id);
  if ($ret != 2) {
    $removable = 1;
  }
  if ($ret != 0) {
    echo "<p>$herja\n";
  }
 }

print "<form action=\"\" method=\"GET\">\n";
print "<p><table border=0>\n";

if ($id != "0") {
  $result = my_mysql_query("SELECT * FROM hlo_tila WHERE id = $id");
  $a = mysql_fetch_array($result);
  $paivystys_id = $a[paivystys_id];
  $hlo_tila = $a[hlo_tila];
  $suojattu = $a[suojattu];
  if ($suojattu == 1) { $readonly = 1; }
}

print "<tr><td>Id:";
if ($id == "0") {
  print "<td>(tehdn uusi)\n";
} else {
  print "<td>$id\n";
}
print "<td><input type=\"hidden\" name=\"id\" size=8 maxlength=8";
print " value=\"$id\">\n";

print "<tr><td>Operaatio:";
if ($readonly) {
  print "<td>"
  . ota_yksi_0("SELECT nimi FROM paivystys WHERE id = $paivystys_id",
	       $paivystys_id, "KAIKKI")
  . "\n";
} else {
  print "<td>\n";
  tee_valinta_plus_0("paivystys_id", $paivystys_id, "paivystys", "id",
		     "nimi", "", "KAIKKI");
}

print "<tr><td>Tilakoodi:";
if ($readonly) {
  print "<td>$hlo_tila\n";
} else {
  print "<td><input type=\"text\" name=\"hlo_tila\" size=64 maxlength=64";
  print " value=\"$hlo_tila\">\n";
}

print "</table>\n";

if ($change != "") {
  echo "<input type=\"submit\" name=\"save\" value=\"TALLENNA\">\n";
  echo "<input type=\"submit\" name=\"clear\" value=\"PERUUTA\">\n";
} elseif ($remove != "") {
  if ($removable) {
    echo
      "<input type=\"submit\" name=\"confirm\" value=\"VAHVISTA POISTO\">\n";
  }
  echo "<input type=\"submit\" name=\"clear\" value=\"PERUUTA\">\n";
} else {
  echo "<input type=\"submit\" name=\"add\" value=\"LIS\">\n";
  print "<input type=\"submit\" name=\"clear\" value=\"TYHJENN\">\n";
}

$result = my_mysql_query("
SELECT *
FROM $table
ORDER BY paivystys_id,hlo_tila
");
if ($result) {
  echo "<p><TABLE BORDER=1>\n";
  echo tr_bgcolor()
  . "<TH>Id<TH>Aikaleima<TH>Operaatio<TH>Tilakoodi\n";
  while ($a = mysql_fetch_array($result)) {
    echo "<TR><TD>$a[id]", "<TD>$a[ts]",
  "<TD>" . ota_yksi_0 ("SELECT nimi FROM paivystys WHERE id = $a[paivystys_id]",
		       $a[paivystys_id], "KAIKKI"),
  "<TD>$a[hlo_tila]";
    if (($id == "0") && ($a[id] != "1")) {
      if ($a[suojattu] == 0) {
	echo "<td><a href=\"$file?id=$a[id]&change=MUUTA\">MUUTA</a>\n";
	echo "<td><a href=\"$file?id=$a[id]&remove=POISTA\">POISTA</a>\n";
      }
    }
  }
  echo "</TABLE>";
} else {
  echo "<P>Plop. Ei henkiln tilakoodeja.";
}

print "</form>\n";

loppu();

?>
</body> 
</html>
<!-- RCS $Id: hlo_tila0.php,v 1.6 2009/01/31 12:05:27 riku Exp $ -->
