<?php

include "common.php";

echo "
<html>
<head>
 <title>VIHA - Kadonneet henkilt</title>
</head>
" . body_bgcolor() . "
";

$table = "kadonnut";

$id = get_nro('id');
if ($id == '') { $id = "0"; }
$lapsi_tila_id = get_nro('lapsi_tila_id');
$kello = get_txt('kello');
$nimi = get_txt('nimi');
$ika = get_txt('ika');
$pituus = get_txt('pituus');
$paino = get_txt('paino');
$sukupuoli = get_txt('sukupuoli');
$housut = get_txt('housut');
$paita = get_txt('paita');
$kengat = get_txt('kengat');
$paahine = get_txt('paahine');
$hiusten_vari = get_txt('hiusten_vari');
$hiusten_pituus = get_txt('hiusten_pituus');
$tuntomerkit = get_txt('tuntomerkit');
$viimeksi_kello = get_txt('viimeksi_kello');
$viimeksi_paikka = get_txt('viimeksi_paikka');
$blues_tarra = get_txt('blues_tarra');
$blues_nimi = get_txt('blues_nimi');
$blues_puhelin = get_txt('blues_puhelin');
$muuta1 = get_txt('muuta1');
$omainen_nimi = get_txt('omainen_nimi');
$omainen_puhelin = get_txt('omainen_puhelin');
$omainen_sijainti = get_txt('omainen_sijainti');
$omainen_osoite = get_txt('omainen_osoite');
$ilmoittaja_nimi = get_txt('ilmoittaja_nimi');
$ilmoittaja_puhelin = get_txt('ilmoittaja_puhelin');
$ilmoittaja_sijainti = get_txt('ilmoittaja_sijainti');
$kuulutuspyynto1 = get_txt('kuulutuspyynto1');
$kuulutuspyynto2 = get_txt('kuulutuspyynto2');
$kuulutuspyynto3 = get_txt('kuulutuspyynto3');
$kuulutuspyynto4 = get_txt('kuulutuspyynto4');
$kuulutus1 = get_txt('kuulutus1');
$kuulutus2 = get_txt('kuulutus2');
$kuulutus3 = get_txt('kuulutus3');
$kuulutus4 = get_txt('kuulutus4');
$loydetty_kello = get_txt('loydetty_kello');
$loydetty_mista = get_txt('loydetty_mista');
$loydetty_odottaa = get_txt('loydetty_odottaa');
$poliisi_kello = get_txt('poliisi_kello');
$poliisi_vastaanotti = get_txt('poliisi_vastaanotti');
$muuta2 = get_txt('muuta2');
$loytaneet_kello = get_txt('loytaneet_kello');
$loytaneet_missa = get_txt('loytaneet_missa');

$add = get_txt('add');
$clear = get_txt('clear');
$save = get_txt('save');
$confirm = get_txt('confirm');
$change = get_txt('change');
$remove = get_txt('remove');
$show = get_txt('show');
$stage = get_txt('stage');

if ($id != 0) {
  oltava_sallittu("$table.php", $table, $id);
}

# apply some magic to all time fields.
$kello = maaginen_kello($kello);
$viimeksi_kello = maaginen_kello($viimeksi_kello);
$loydetty_kello = maaginen_kello($loydetty_kello);
$loytaneet_kello = maaginen_kello($loytaneet_kello);
$poliisi_kello = maaginen_kello($poliisi_kello);
$kuulutuspyynto1 = maaginen_kello($kuulutuspyynto1);
$kuulutuspyynto2 = maaginen_kello($kuulutuspyynto2);
$kuulutuspyynto3 = maaginen_kello($kuulutuspyynto3);
$kuulutuspyynto4 = maaginen_kello($kuulutuspyynto4);
$kuulutus1 = maaginen_kello($kuulutus1);
$kuulutus2 = maaginen_kello($kuulutus2);
$kuulutus3 = maaginen_kello($kuulutus3);
$kuulutus4 = maaginen_kello($kuulutus4);

if ($show != "") {
  print "<h1>Kadonnut</h1>";
} elseif ($stage != "") {
  print "<h2><b>LAVAKUULUTUS, "
    . date("Y-m-d H:i:s") . " Tunnus: Kadonnut-" . $id . "</b></h2>";
  print "<h1><b>KADONNUT</b></h1>";
} else {
  print "<h1>Kadonneiden henkiliden tietojen ksittely</h1>";
  taktiset_linkit();
}

$showonly = 0; # only show (no edit) fields other than id
if (($remove != "") || ($show != "") || ($stage != "")) {
  $showonly = 1;
}

if (! $showonly) {
  print "<p>Kellonaikojen sytss on taikaa:
Kellonajan voi sytt muodossa HH:MM.
Myskin +MM tai -MM - tyyppiset sytt ovat mahdollisia.
Jos sytt jotain muuta niin ko. kohtaan tulee sytthetken kellonaika.
";
}

if ($add != '') {
  if (saa_tehda("kadonnut.php:add")) {
    if (($kello != '') && ($nimi != '')) {
      $now = date('Y-m-d H:i:s');
      $sql = "
INSERT INTO $table
VALUES (0, $_SESSION[paivystys], $lapsi_tila_id, '$kello',
        '$nimi', '$ika', '$pituus', '$paino', 
        '$sukupuoli', '$housut', '$paita', '$kengat', '$paahine',
        '$hiusten_vari', '
        $hiusten_pituus', '$tuntomerkit', 
        '$viimeksi_kello', '$viimeksi_paikka', '$blues_tarra', '$blues_nimi',
        '$blues_puhelin', '$muuta1', 
        '$omainen_nimi', '$omainen_puhelin', '$omainen_sijainti',
        '$omainen_osoite', 
        '$ilmoittaja_nimi', '$ilmoittaja_puhelin', '$ilmoittaja_sijainti', 
        '$kuulutuspyynto1', '$kuulutuspyynto2', '$kuulutuspyynto3',
        '$kuulutuspyynto4', 
        '$kuulutus1', '$kuulutus2', '$kuulutus3', '$kuulutus4', 
        '$loydetty_kello', '$loydetty_mista', '$loydetty_odottaa', 
        '$poliisi_kello', '$poliisi_vastaanotti', 
        '$muuta2', 
        '$loytaneet_kello', '$loytaneet_missa', 
        '$now')
";
      $result = my_mysql_query ($sql);
      print "<p>Tiedot listty.\n";
      $clear = "SISINEN";
      taktinen_loki("Listty kadonnut $nimi, tila "
		    . ota_lapsi_tila($lapsi_tila_id));
      loki("$sql id=" . last_insert_id());
    } else {
      print "<p>Kello ja nimi ovat pakollisia tietoja.
Ilman niit ei voi list.\n";
    }
  } # saa_tehda
}

if ($save != '') {
  if (saa_tehda("kadonnut.php:save")) {
    $now = date('Y-m-d H:i:s');
    $sql = "UPDATE $table SET
lapsi_tila_id=$lapsi_tila_id, kello='$kello', nimi='$nimi', ika='$ika',
pituus='$pituus', paino='$paino', sukupuoli='$sukupuoli', 
housut='$housut', paita='$paita', kengat='$kengat', paahine='$paahine',
hiusten_vari='$hiusten_vari', hiusten_pituus='$hiusten_pituus', 
tuntomerkit='$tuntomerkit', viimeksi_kello='$viimeksi_kello',
viimeksi_paikka='$viimeksi_paikka', blues_tarra='$blues_tarra', 
blues_nimi='$blues_nimi', blues_puhelin='$blues_puhelin', muuta1='$muuta1',
omainen_nimi='$omainen_nimi',
omainen_puhelin='$omainen_puhelin', omainen_sijainti='$omainen_sijainti',
omainen_osoite='$omainen_osoite',
ilmoittaja_nimi='$ilmoittaja_nimi', ilmoittaja_puhelin='$ilmoittaja_puhelin',
ilmoittaja_sijainti='$ilmoittaja_sijainti', 
kuulutuspyynto1='$kuulutuspyynto1', kuulutuspyynto2='$kuulutuspyynto2', 
kuulutuspyynto3='$kuulutuspyynto3', kuulutuspyynto4='$kuulutuspyynto4',
kuulutus1='$kuulutus1', kuulutus2='$kuulutus2', 
kuulutus3='$kuulutus3', kuulutus4='$kuulutus4',
loydetty_kello='$loydetty_kello', loydetty_mista='$loydetty_mista', 
loydetty_odottaa='$loydetty_odottaa', poliisi_kello='$poliisi_kello',
poliisi_vastaanotti='$poliisi_vastaanotti', 
muuta2='$muuta2', loytaneet_kello='$loytaneet_kello',
loytaneet_missa='$loytaneet_missa', ts='$now' WHERE id=$id";
    $result = my_mysql_query ($sql);
    print "<p>Tiedot pivitetty.\n";
    $clear = "SISINEN";
    taktinen_loki("Pivitetty kadonnutta $nimi, tila " . ota_lapsi_tila($lapsi_tila_id));
    loki($sql);
  }
}

if ($confirm != '') {
  if (saa_tehda("kadonnut.php:confirm")) {
    $now = date('Y-m-d H:i:s');
    $tmp_lapsi_tila_id
      = ota_yksi("SELECT lapsi_tila_id FROM kadonnut WHERE id = $id");
    taktinen_loki("Poistetaan kadonnutta "
		  . ota_kadonnut_nimi($id)
		  . ", tila " . ota_lapsi_tila($tmp_lapsi_tila_id));
    $sql = "DELETE FROM $table WHERE id = $id";
    $result = my_mysql_query ($sql);
    print "<p>Tiedot poistettu.\n";
    $clear = "SISINEN";
    loki($sql);
  } 
}

if ($clear != '') {
    $id = "0";
    $lapsi_tila_id = 1;
    $kello = ''; $nimi = ''; $ika = ''; $pituus = ''; $paino = '';
    $sukupuoli = ''; $housut = ''; $paita = ''; $kengat = '';
    $paahine = ''; $hiusten_vari = ''; $hiusten_pituus = '';
    $tuntomerkit = ''; $viimeksi_kello = ''; $viimeksi_paikka = '';
    $blues_tarra = ''; $blues_nimi = ''; $blues_puhelin = '';
    $muuta1 = ''; $omainen_nimi = ''; $omainen_puhelin = '';
    $omainen_sijainti = ''; $omainen_osoite = ''; $ilmoittaja_nimi = '';
    $ilmoittaja_puhelin = ''; $ilmoittaja_sijainti = '';
    $kuulutuspyynto1 = ''; $kuulutuspyynto2 = ''; $kuulutuspyynto3 = '';
    $kuulutuspyynto4 = '';
    $kuulutus1 = ''; $kuulutus2 = ''; $kuulutus3 = ''; $kuulutus4 = '';
    $loydetty_kello = ''; $loydetty_mista = '';
    $loydetty_odottaa = ''; $poliisi_kello = ''; $poliisi_vastaanotti = '';
    $muuta2 = ''; $loytaneet_kello = ''; $loytaneet_missa = '';
}

print "<form action=\"\" method=\"GET\">\n";

if ($show == "") {
  $sql = "
SELECT kadonnut.id,kadonnut.ts,lapsi_tila,viimeksi_kello,kello,nimi,ika,
       sukupuoli
FROM kadonnut,lapsi_tila
WHERE lapsi_tila_id = lapsi_tila.id
      AND ($table.paivystys_id = 0
           OR $table.paivystys_id = $_SESSION[paivystys])
ORDER BY kadonnut.ts
";
  $result = my_mysql_query($sql);
  if ($result) {
    echo "<p><TABLE BORDER=1>\n";
    echo tr_bgcolor()
      . "<TH>Id<TH>Tila<TH>Viimeinen<br>havainto<th>SPR:n<br>tietoon<th>Nimi<TH>Ik<TH>Sukupuoli\n";
    while ($a = mysql_fetch_array($result)) {
      echo "<TR><TD>$a[id]",
	"<TD>$a[lapsi_tila]",
	"<TD align=right>", vain_hhmm($a[viimeksi_kello]),
	"<TD align=right>", vain_hhmm($a[kello]),
	"<TD>$a[nimi]",
	"<TD>$a[ika]", "<TD>$a[sukupuoli]";
      if ($id == "0") {
	echo "<td><a href=\"$table.php?id=$a[id]&show=NYT\">NYT</a>\n";
	echo "<td><a href=\"$table.php?id=$a[id]&stage=KUULUTUS\">KUULUTUS</a>\n";
	echo "<td><a href=\"$table.php?id=$a[id]&change=MUUTA\">MUUTA</a>\n";
	echo "<td><a href=\"$table.php?id=$a[id]&remove=POISTA\">POISTA</a>\n";
      }
    }
    echo "</TABLE>";
  } else {
    echo "<P>Plop. Ei kadonneiden tietoja.";
  }
} # show != "" 

print "<p><table border=0>\n";

if ($id != "0") {
  $sql = "SELECT * FROM $table WHERE id = $id";
  $result = my_mysql_query($sql);
  $a = mysql_fetch_array($result);
  $lapsi_tila_id = $a[lapsi_tila_id]; $kello = $a[kello]; $nimi = $a[nimi];
  $ika = $a[ika]; $pituus = $a[pituus]; $paino = $a[paino];
  $sukupuoli = $a[sukupuoli]; $housut = $a[housut]; $paita = $a[paita];
  $kengat = $a[kengat]; $paahine = $a[paahine];
  $hiusten_vari = $a[hiusten_vari]; $hiusten_pituus = $a[hiusten_pituus];
  $tuntomerkit = $a[tuntomerkit]; $viimeksi_kello = $a[viimeksi_kello];
  $viimeksi_paikka = $a[viimeksi_paikka]; $blues_tarra = $a[blues_tarra];
  $blues_nimi = $a[blues_nimi]; $blues_puhelin = $a[blues_puhelin];
  $muuta1 = $a[muuta1]; $omainen_nimi = $a[omainen_nimi];
  $omainen_puhelin = $a[omainen_puhelin];
  $omainen_sijainti = $a[omainen_sijainti];
  $omainen_osoite = $a[omainen_osoite];
  $ilmoittaja_nimi = $a[ilmoittaja_nimi];
  $ilmoittaja_puhelin = $a[ilmoittaja_puhelin];
  $ilmoittaja_sijainti = $a[ilmoittaja_sijainti];
  $kuulutuspyynto1 = $a[kuulutuspyynto1];
  $kuulutuspyynto2 = $a[kuulutuspyynto2];
  $kuulutuspyynto3 = $a[kuulutuspyynto3];
  $kuulutuspyynto4 = $a[kuulutuspyynto4];
  $kuulutus1 = $a[kuulutus1]; $kuulutus2 = $a[kuulutus2];
  $kuulutus3 = $a[kuulutus3]; $kuulutus4 = $a[kuulutus4];
  $loydetty_kello = $a[loydetty_kello];
  $loydetty_mista = $a[loydetty_mista];
  $loydetty_odottaa = $a[loydetty_odottaa];
  $poliisi_kello = $a[poliisi_kello];
  $poliisi_vastaanotti = $a[poliisi_vastaanotti]; $muuta2 = $a[muuta2];
  $loytaneet_kello = $a[loytaneet_kello];
  $loytaneet_missa = $a[loytaneet_missa]; 
  # apply some magic to all time fields.
  $kello = maaginen_kello($kello);
  $viimeksi_kello = maaginen_kello($viimeksi_kello);
  $loydetty_kello = maaginen_kello($loydetty_kello);
  $loytaneet_kello = maaginen_kello($loytaneet_kello);
  $poliisi_kello = maaginen_kello($poliisi_kello);
  $kuulutuspyynto1 = maaginen_kello($kuulutuspyynto1);
  $kuulutuspyynto2 = maaginen_kello($kuulutuspyynto2);
  $kuulutuspyynto3 = maaginen_kello($kuulutuspyynto3);
  $kuulutuspyynto4 = maaginen_kello($kuulutuspyynto4);
  $kuulutus1 = maaginen_kello($kuulutus1);
  $kuulutus2 = maaginen_kello($kuulutus2);
  $kuulutus3 = maaginen_kello($kuulutus3);
  $kuulutus4 = maaginen_kello($kuulutus4);
}

# stage is separate from everything else, so (mis) handled here
if ($stage != "") {
  $editoitava = "
Arvoisa Yleis. $nimi, $ika vuotta, on eksynyt vanhemmistaan.
$nimi lla on ylln $housut housut, $paita paita, $kengat kengt ja $paahine.
Muut tuntomerkit ovat: $tuntomerkit.

Hnen vanhempansa odottavat INFO-pisteess.
";
  print "<p>
<textarea name=\"editoitava\" rows=10 cols=72>
$editoitava
</textarea>
";
  exit;
}

print "<tr><td>Id:<td>";
if ($id == "0") {
  print "(tehdn uusi)\n";
  $lapsi_tila_id = 2;
} else {
  print "$id\n";
}
print "<td><input type=\"hidden\" name=\"id\" size=8 maxlength=8";
print " value=\"$id\">\n";

print "<tr><td>Tila:<td>";
if ($showonly) {
  print etsi_teksti("lapsi_tila_id", $lapsi_tila_id, "lapsi_tila", "id",
		    "lapsi_tila") . "\n";
} else {
  print "\n";
  tee_valinta("lapsi_tila_id", $lapsi_tila_id, "lapsi_tila", "id",
	      "lapsi_tila", "ORDER BY id");
}

print "<tr><td>Kello:<td>";
if ($showonly) { print "$kello\n"; } else {
  print "<input type=\"text\" name=\"kello\" size=19 maxlength=19";
  print " value=\"$kello\">
Koska tullut SPR:n tietoon. HH:MM tai X tai -MM tai +MM.\n";
}

print "<tr><td>Nimi:<td>";
if ($showonly) { print "$nimi\n"; } else {
  print "<input type=\"text\" name=\"nimi\" size=64 maxlength=64";
  print " value=\"$nimi\">\n";
}

print "<tr><td>Ik:<td>";
if ($showonly) { print "$ika\n"; } else {
  print "<input type=\"text\" name=\"ika\" size=8 maxlength=8";
  print " value=\"$ika\">\n";
}

print "<tr><td>Pituus:<td>";
if ($showonly) { print "$pituus\n"; } else {
  print "<input type=\"text\" name=\"pituus\" size=8 maxlength=8";
  print " value=\"$pituus\">\n";
}

print "<tr><td>Paino:<td>";
if ($showonly) { print "$paino\n"; } else {
  print "<input type=\"text\" name=\"paino\" size=8 maxlength=8";
  print " value=\"$paino\">\n";
}

print "<tr><td>Sukupuoli:<td>";
if ($showonly) { print "$sukupuoli\n"; } else {
  print "<input type=\"text\" name=\"sukupuoli\" size=8 maxlength=8";
  print " value=\"$sukupuoli\">\n";
}

print "<tr><td>Tuntomerkit\n";

print "<tr><td>- housut:<td>";
if ($showonly) { print "$housut\n"; } else {
  print "<input type=\"text\" name=\"housut\" size=32 maxlength=32";
  print " value=\"$housut\"> tai hame jne\n";
}

print "<tr><td>- paita:<td>";
if ($showonly) { print "$paita\n"; } else {
  print "<input type=\"text\" name=\"paita\" size=32 maxlength=32";
  print " value=\"$paita\"> tai mekko jne\n";
}

print "<tr><td>- kengt:<td>";
if ($showonly) { print "$kengat\n"; } else {
  print "<input type=\"text\" name=\"kengat\" size=32 maxlength=32";
  print " value=\"$kengat\">\n";
}

print "<tr><td>- phine:<td>";
if ($showonly) { print "$paahine\n"; } else {
  print "<input type=\"text\" name=\"paahine\" size=32 maxlength=32";
  print " value=\"$paahine\">\n";
}

print "<tr><td>- hiusten vri:<td>";
if ($showonly) { print "$hiusten_vari\n"; } else {
  print "<input type=\"text\" name=\"hiusten_vari\" size=32 maxlength=32";
  print " value=\"$hiusten_vari\">\n";
}

print "<tr><td>- hiusten pituus:<td>";
if ($showonly) { print "$hiusten_pituus\n"; } else {
  print "<input type=\"text\" name=\"hiusten_pituus\" size=32 maxlength=32";
  print " value=\"$hiusten_pituus\">\n";
}

print "<tr><td>- muuta:<td>";
if ($showonly) { print "$tuntomerkit\n"; } else {
  print "<input type=\"text\" name=\"tuntomerkit\" size=64 maxlength=64";
  print " value=\"$tuntomerkit\">\n";
}

print "<tr><td>Viimeinen havainto\n";

print "<tr><td>- kello:<td>";
if ($showonly) { print "$viimeksi_kello\n"; } else {
  print "<input type=\"text\" name=\"viimeksi_kello\" size=19 maxlength=19";
  print " value=\"$viimeksi_kello\">
HH:MM tai X tai -MM tai +MM.\n";
}

print "<tr><td>- miss:<td>";
if ($showonly) { print "$viimeksi_paikka\n"; } else {
  print "<input type=\"text\" name=\"viimeksi_paikka\" size=64 maxlength=64";
  print " value=\"$viimeksi_paikka\">\n";
}

print "<tr><td>Merkitty tarralla:<td>";
if ($showonly) { print "$blues_tarra\n"; } else {
  print "<input type=\"text\" name=\"blues_tarra\" size=8 maxlength=8";
  print " value=\"$blues_tarra\">\n";
}

print "<tr><td>- nimi tarrassa:<td>";
if ($showonly) { print "$blues_nimi\n"; } else {
  print "<input type=\"text\" name=\"blues_nimi\" size=64 maxlength=64";
  print " value=\"$blues_nimi\">\n";
}

print "<tr><td>- puhelinnumero:<td>";
if ($showonly) { print "$blues_puhelin\n"; } else {
  print "<input type=\"text\" name=\"blues_puhelin\" size=32 maxlength=32";
  print " value=\"$blues_puhelin\">\n";
}

print "<tr><td>Muita tietoja:<td>";
if ($showonly) { print "$muuta1\n"; } else {
  print "<input type=\"text\" name=\"muuta1\" size=64 maxlength=255";
  print " value=\"$muuta1\">\n";
}

print "<tr><td>Omainen<br>tai huoltaja";
print "<td><font color=red>Omaista tai huoltajaa ei saa pst omin pin etsimn
kadonnutta.<br>SPR:n partio mukaan jotta saadaan tieto kun lytyy.</font>";

print "<tr><td>- nimi:<td>";
if ($showonly) { print "$omainen_nimi\n"; } else {
  print "<input type=\"text\" name=\"omainen_nimi\" size=64 maxlength=64";
  print " value=\"$omainen_nimi\">\n";
}

print "<tr><td>- puhelin:<td>";
if ($showonly) { print "$omainen_puhelin\n"; } else {
  print "<input type=\"text\" name=\"omainen_puhelin\" size=32 maxlength=32";
  print " value=\"$omainen_puhelin\">\n";
}

print "<tr><td>- sijainti:<td>";
if ($showonly) { print "$omainen_sijainti\n"; } else {
  print "<input type=\"text\" name=\"omainen_sijainti\" size=64 maxlength=255";
  print " value=\"$omainen_sijainti\">\n";
}

print "<tr><td>- osoite:<td>";
if ($showonly) { print "$omainen_osoite\n"; } else {
  print "<input type=\"text\" name=\"omainen_osoite\" size=64 maxlength=255";
  print " value=\"$omainen_osoite\">\n";
}

print "<tr><td>Ilmoittaja<br>jos muu kuin yll";

print "<tr><td>- nimi:<td>";
if ($showonly) { print "$ilmoittaja_nimi\n"; } else {
  print "<input type=\"text\" name=\"ilmoittaja_nimi\" size=64 maxlength=64";
  print " value=\"$ilmoittaja_nimi\">\n";
}

print "<tr><td>- puhelin:<td>";
if ($showonly) { print "$ilmoittaja_puhelin\n"; } else {
  print "<input type=\"text\" name=\"ilmoittaja_puhelin\" size=32 maxlength=32";
  print " value=\"$ilmoittaja_puhelin\">\n";
}

print "<tr><td>- sijainti:<td>";
if ($showonly) { print "$ilmoittaja_sijainti\n"; } else {
  print "<input type=\"text\" name=\"ilmoittaja_sijainti\" size=64 maxlength=255";
  print " value=\"$ilmoittaja_sijainti\">\n";
}

print "<tr><td>Lavakuulutuspyynnt";

print "<tr><td>1. pyynt:<td>";
if ($showonly) { print "$kuulutuspyynto1\n"; } else {
  print "<input type=\"text\" name=\"kuulutuspyynto1\" size=19 maxlength=19";
  print " value=\"$kuulutuspyynto1\">Koska ensimminen lavakuulutuspyynt on viety. HH:MM tai X tai -MM tai +MM.\n";
}

print "<tr><td>2. pyynt:<td>";
if ($showonly) { print "$kuulutuspyynto2\n"; } else {
  print "<input type=\"text\" name=\"kuulutuspyynto2\" size=19 maxlength=19";
  print " value=\"$kuulutuspyynto2\">Koska toinen lavakuulutuspyynt on viety. HH:MM tai X tai -MM tai +MM.\n";
}

print "<tr><td>3. pyynt:<td>";
if ($showonly) { print "$kuulutuspyynto3\n"; } else {
  print "<input type=\"text\" name=\"kuulutuspyynto3\" size=19 maxlength=19";
  print " value=\"$kuulutuspyynto3\">Koska kolmas lavakuulutuspyynt on viety. HH:MM tai X tai -MM tai +MM.\n";
}

print "<tr><td>4. pyynt:<td>";
if ($showonly) { print "$kuulutuspyynto4\n"; } else {
  print "<input type=\"text\" name=\"kuulutuspyynto4\" size=19 maxlength=19";
  print " value=\"$kuulutuspyynto4\">Koska neljs lavakuulutuspyynt on viety. HH:MM tai X tai -MM tai +MM.\n";
}

print "<tr><td>Lavakuulutukset";

print "<tr><td>1. kuulutus:<td>";
if ($showonly) { print "$kuulutus1\n"; } else {
  print "<input type=\"text\" name=\"kuulutus1\" size=19 maxlength=19";
  print " value=\"$kuulutus1\">Koska ensimminen lavakuulutus tapahtui. HH:MM tai X tai -MM tai +MM.\n";
}

print "<tr><td>2. kuulutus:<td>";
if ($showonly) { print "$kuulutus2\n"; } else {
  print "<input type=\"text\" name=\"kuulutus2\" size=19 maxlength=19";
  print " value=\"$kuulutus2\">Koska toinen lavakuulutus tapahtui. HH:MM tai X tai -MM tai +MM.\n";
}

print "<tr><td>3. kuulutus:<td>";
if ($showonly) { print "$kuulutus3\n"; } else {
  print "<input type=\"text\" name=\"kuulutus3\" size=19 maxlength=19";
  print " value=\"$kuulutus3\">Koska kolmas lavakuulutus tapahtui. HH:MM tai X tai -MM tai +MM.\n";
}

print "<tr><td>4. kuulutus:<td>";
if ($showonly) { print "$kuulutus4\n"; } else {
  print "<input type=\"text\" name=\"kuulutus4\" size=19 maxlength=19";
  print " value=\"$kuulutus4\">Koska neljs lavakuulutus tapahtui. HH:MM tai X tai -MM tai +MM.\n";
}

print "<tr><td>Kadonnut lydetty";

print "<tr><td>- kello:<td>";
if ($showonly) { print "$loydetty_kello\n"; } else {
  print "<input type=\"text\" name=\"loydetty_kello\" size=19 maxlength=19";
  print " value=\"$loydetty_kello\">HH:MM tai X tai -MM tai +MM.\n";
}

print "<tr><td>- mist:<td>";
if ($showonly) { print "$loydetty_mista\n"; } else {
  print "<input type=\"text\" name=\"loydetty_mista\" size=64 maxlength=255";
  print " value=\"$loydetty_mista\">\n";
}

print "<tr><td>- odottaa miss:<td>";
if ($showonly) { print "$loydetty_odottaa\n"; } else {
  print "<input type=\"text\" name=\"loydetty_odottaa\" size=64 maxlength=255";
  print " value=\"$loydetty_odottaa\">\n";
}

print "<tr><td>Tapaus annettu<br>poliisille";

print "<tr><td>- kello:<td>";
if ($showonly) { print "$poliisi_kello\n"; } else {
  print "<input type=\"text\" name=\"poliisi_kello\" size=19 maxlength=19";
  print " value=\"$poliisi_kello\">HH:MM tai X tai -MM tai +MM.\n";
}

print "<tr><td>- vastaanotti:<td>";
if ($showonly) { print "$poliisi_vastaanotti\n"; } else {
  print "<input type=\"text\" name=\"poliisi_vastaanotti\" size=64 maxlength=64";
  print " value=\"$poliisi_vastaanotti\">\n";
}

print "<tr><td>Muita<br>toimenpiteit:<td>";
if ($showonly) { print "$muuta2\n"; } else {
  print "<input type=\"text\" name=\"muuta2\" size=64 maxlength=255";
  print " value=\"$muuta2\">\n";
}

print "<tr><td>Lytneet toisensa";

print "<tr><td>- kello:<td>";
if ($showonly) { print "$loytaneet_kello\n"; } else {
  print "<input type=\"text\" name=\"loytaneet_kello\" size=19 maxlength=19";
  print " value=\"$loytaneet_kello\">HH:MM tai X tai -MM tai +MM.\n";
}

print "<tr><td>- miss:<td>";
if ($showonly) { print "$loytaneet_missa\n"; } else {
  print "<input type=\"text\" name=\"loytaneet_missa\" size=64 maxlength=255";
  print " value=\"$loytaneet_missa\">\n";
}

print "</table>\n";

if ($change != "") {
  print "<input type=\"submit\" name=\"save\" value=\"TALLENNA\">\n";
  print "<input type=\"submit\" name=\"clear\" value=\"PERUUTA\">\n";
} elseif ($remove != "") {
  if ($references == 0) {
    print "<input type=\"submit\" name=\"confirm\" value=\"VAHVISTA POISTO\">\n";
  }
  print "<input type=\"submit\" name=\"clear\" value=\"PERUUTA\">\n";
} elseif ($show == "") {
  print "<input type=\"submit\" name=\"add\" value=\"LIS\">\n";
  print "<input type=\"submit\" name=\"clear\" value=\"TYHJENN\">\n";
}

print "</form>\n";

taktiset_linkit();

loppu();

?>
</body> 
</html>
<!-- RCS $Id: kadonnut.php,v 1.1.1.1 2009/01/14 11:27:46 riku Exp $ -->
