<?php

include "common.php";

echo "
<html>
<head>
 <title>VIHA - Lytyneiden henkiliden siirto operaatiosta toiseen</title>
</head>
" . body_bgcolor() . "
";

$table = "loytynyt";

$id = get_nro('id');
if ($id == '') { $id = "0"; }
$paivystys_id = get_nro('paivystys_id');
if ($paivystys_id == '') { $paivystys_id = "1"; }
$lapsi_tila_id = get_nro('lapsi_tila_id');
$kello = get_txt('kello');
$nimi = get_txt('nimi');
$ika = get_txt('ika');
$sukupuoli = get_txt('sukupuoli');

$clear = get_txt('clear');
$save = get_txt('save');
$confirm = get_txt('confirm');
$change = get_txt('change');
$remove = get_txt('remove');

oltava_0("loytynyt0.php");

# apply some magic to all time fields.
$kello = maaginen_kello($kello);

print "<h1>Lytyneiden henkiliden siirto operaatiosta toiseen</h1>";
taktiset_linkit();

$showonly = 0; # only show (no edit) fields other than id
if ($remove != "") {
  $showonly = 1;
}

if (! $showonly) {
  print "<p>Kellonaikojen sytss on taikaa: Kellonajan voi sytt muodossa HH:MM.
Myskin +MM tai -MM - tyyppiset sytt ovat mahdollisia.
Jos sytt jotain muuta niin ko. kohtaan tulee sytthetken kellonaika.
";
}

if ($save != '') {
  if (saa_tehda("loytynyt0.php:save")) {
    $now = date('Y-m-d H:i:s');
    $sql = "
UPDATE $table
SET paivystys_id=$paivystys_id, lapsi_tila_id=$lapsi_tila_id,
    kello='$kello', nimi='$nimi', ika='$ika', sukupuoli='$sukupuoli',
    ts='$now'
WHERE id=$id
";
    $result = my_mysql_query ($sql);
    print "<p>Tiedot pivitetty.\n";
    $clear = "SISINEN";
    taktinen_loki("Pivitetty lytynytt $nimi, tila "
		  . ota_lapsi_tila($lapsi_tila_id));
    loki($sql);
  }
}

if ($confirm != '') {
  if (saa_tehda("loytynyt0.php:confirm")) {
    $now = date('Y-m-d H:i:s');
    $tmp_lapsi_tila_id =
      ota_yksi("SELECT lapsi_tila_id FROM loytynyt WHERE id = $id");
    taktinen_loki("Poistetaan lytynytt "
		  . ota_loytynyt_nimi($id)
		  . ", tila " . ota_lapsi_tila($tmp_lapsi_tila_id));
    $sql = "DELETE FROM $table WHERE id = $id";
    $result = my_mysql_query ($sql);
    print "<p>Tiedot poistettu.\n";
    $clear = "SISINEN";
    loki($sql);
  }
}

if ($clear != '') {
    $id = "0";
    $paivystys_id = 1;
    $lapsi_tila_id = 1;
    $kello = ''; $nimi = ''; $ika = ''; $sukupuoli = '';
}

print "<form action=\"\" method=\"GET\">\n";
print "<p><table border=0>\n";

if ($id != "0") {
  $sql = "
SELECT paivystys_id, lapsi_tila_id, kello, nimi, ika, sukupuoli
FROM $table
WHERE id = $id
";
  $result = my_mysql_query($sql);
  $a = mysql_fetch_array($result);
  $paivystys_id = $a[paivystys_id];
  $lapsi_tila_id = $a[lapsi_tila_id]; $kello = $a[kello];
  $nimi = $a[nimi]; $ika = $a[ika]; 
  $sukupuoli = $a[sukupuoli]; 
  # apply some magic to all time fields.
  $kello = maaginen_kello($kello);
}

print "<tr><td>Id:<td>";
if ($id == "0") {
  print "(ei ole)\n";
  $lapsi_tila_id = 2;
} else {
  print "$id\n";
}
print "<td><input type=\"hidden\" name=\"id\" size=8 maxlength=8";
print " value=\"$id\">\n";

print "<tr><td>Operaatio:";
if ($showonly) {
  print "<td>"
    . ota_yksi_0("SELECT nimi FROM paivystys WHERE id = $paivystys_id",
		 $paivystys_id, "KAIKKI")
    . "\n";
} else {
  print "<td>\n";
  tee_valinta_plus_0("paivystys_id", $paivystys_id, "paivystys", "id",
		     "nimi", "", "KAIKKI");
}

print "<tr><td>Tila:<td>";
if ($showonly) {
  print etsi_teksti("lapsi_tila_id", $lapsi_tila_id, "lapsi_tila", "id",
		    "lapsi_tila") . "\n";
} else {
  print "\n";
  tee_valinta("lapsi_tila_id", $lapsi_tila_id, "lapsi_tila", "id",
	      "lapsi_tila", "ORDER BY id");
}

print "<tr><td>Kello:<td>";
if ($showonly) { print "$kello\n"; } else {
  print "<input type=\"text\" name=\"kello\" size=19 maxlength=19";
  print " value=\"$kello\">
Koska tullut SPR:n tietoon. HH:MM tai X tai -MM tai +MM.\n";
}

print "<tr><td>Nimi:<td>";
if ($showonly) { print "$nimi\n"; } else {
  print "<input type=\"text\" name=\"nimi\" size=64 maxlength=64";
  print " value=\"$nimi\">\n";
}

print "<tr><td>Ik:<td>";
if ($showonly) { print "$ika\n"; } else {
  print "<input type=\"text\" name=\"ika\" size=8 maxlength=8";
  print " value=\"$ika\">\n";
}

print "<tr><td>Sukupuoli:<td>";
if ($showonly) { print "$sukupuoli\n"; } else {
  print "<input type=\"text\" name=\"sukupuoli\" size=8 maxlength=8";
  print " value=\"$sukupuoli\">\n";
}

print "</table>\n";

if ($change != "") {
  print "<input type=\"submit\" name=\"save\" value=\"TALLENNA\">\n";
  print "<input type=\"submit\" name=\"clear\" value=\"PERUUTA\">\n";
} elseif ($remove != "") {
  print "<input type=\"submit\" name=\"confirm\" value=\"VAHVISTA POISTO\">\n";
  print "<input type=\"submit\" name=\"clear\" value=\"PERUUTA\">\n";
}

$sql = "
SELECT loytynyt.id,loytynyt.paivystys_id,loytynyt.ts,lapsi_tila,kello,
       nimi,ika,sukupuoli
FROM loytynyt,lapsi_tila
WHERE lapsi_tila_id = lapsi_tila.id
ORDER BY loytynyt.ts
";
$result = my_mysql_query($sql);
if ($result) {
  echo "<p><TABLE BORDER=1>\n";
  echo tr_bgcolor()
    . "<TH>Id<TH>Operaatio<TH>Tila<TH>SPR:n<br>tietoon<TH>Nimi<TH>Ik<TH>Sukupuoli\n";
  while ($a = mysql_fetch_array($result)) {
    echo "<TR><TD>$a[id]",
      "<TD>"
      . ota_yksi_0 ("SELECT nimi FROM paivystys WHERE id = $a[paivystys_id]",
		    $a[paivystys_id], "KAIKKI"),
      "<TD>$a[lapsi_tila]",
      "<TD align=right>", vain_hhmm($a[kello]),
      "<TD>$a[nimi]",
      "<TD>$a[ika]", "<TD>$a[sukupuoli]";
    if ($id == "0") {
      echo "<td><a href=\"loytynyt0.php?id=$a[id]&change=MUUTA\">MUUTA</a>\n";
      echo "<td><a href=\"loytynyt0.php?id=$a[id]&remove=POISTA\">POISTA</a>\n";
    }
  }
  echo "</TABLE>";
}

print "</form>\n";

loppu();

?>
</body> 
</html>
<!-- RCS $Id: loytynyt0.php,v 1.2 2009/01/22 08:01:30 riku Exp $ -->
