
<?php

# sanity check functions for database additions, modifications and
# deletions.
# general format is ret = table_what_ok(&$msg,$id, ...)
# msg is error/warning message
# id is the main id of the record in question, new record => id = ''
# return codes:
#  0 (all ok, msg undefined)
#  1 (warnings in msg)
#  2 (fatal, reason in msg)

# tap tarkastusfunktiot

function tap_ok(&$msg,$id,$ryhma_id,$tap) {
  $table = "tap";

  $msg = '';
  $ret = 0;
  
  if ($id != "") {
    $id_sql = "AND id != $id";
    $modify = 1;
    $tail = " Ei voi muuttaa.";
  } else {
    $modify = 0;
    $tail = " Ei voi list.";
  }

  # tarpeelliset kentt
  if ($tap == '') {
    $msg = 'Tapahtumakirjaus tarvitaan.';
    $msg .= $tail;
    return 2;
  }

  # ryhma oltava olemassa
  if (tab_col_id("ryhma","kutsu",$ryhma_id) == '') {
    $msg = "Ryhm $ryhma_id ei lydy.";
    $msg .= $tail;
    return 2;
  }
  
  # duplikaatteja voi olla
  
  return $ret;
}

function tap_add_ok(&$msg,$ryhma_id,$tap) {
  return tap_ok($msg,'',$ryhma_id,$tap);
}

function tap_save_ok(&$msg,$id,$ryhma_id,$tap) {
  return tap_ok($msg,$id,$ryhma_id,$tap);
}

function tap_remove_ok(&$msg,$id) {
  return 0;
}

?>

<!-- RCS $Id: tap-ok.php,v 1.1 2009/02/02 07:13:07 riku Exp $ -->
