
<?php

# paikka tarkastusfunktiot

function paikka_ok(&$msg,$id,$paivystys_id,$paikka) {
  global $table;
  
  $msg = '';
  
  if ($id != "") {
    $id_sql = "AND id != $id";
    $modify = 1;
    $tail = " Ei voi muuttaa.";
  } else {
    $modify = 0;
    $tail = " Ei voi list.";
  }

  # kovakoodatut tietueet
  if (($id >= "1") && ($id <= "3")) {
    $msg = "Koodit 1, 2 ja 3 on suojattu.";
    $msg .= $tail;
    return 2;
  }

  # tarpeelliset kentt
  if ($paikka == '') {
    $msg = 'Sijaintikoodi on pakollinen tieto.';
    $msg .= $tail;
    return 2;
  }

  # paivystyksen oltava olemassa
  # tai soveltuvin osin 0
  if (tab_col_id_none("paivystys","nimi",$paivystys_id) == '') {
    $msg = "Operaatiota $paivystys_id ei lydy.";
    $msg .= $tail;
    return 2;
  }
  
  # duplikaatit
  $dup = ota_yksi("
SELECT id
FROM $table
WHERE paikka = '$paikka'
      AND ((paivystys_id = $_SESSION[paivystys]) OR (paivystys_id = 0))
      $id_sql
");
  if ($dup != '') {
    $msg = "Tllainen koodi on jo olemassa (id=$dup)";
    $msg .= $tail;
    return 2;
  } 

  return 0;
}

function paikka_add_ok(&$msg,$paivystys_id,$paikka) {
  return paikka_ok($msg,'',$paivystys_id,$paikka);
}

function paikka_save_ok(&$msg,$id,$paivystys_id,$paikka) {
  return paikka_ok($msg,$id,$paivystys_id,$paikka);
}

function paikka_remove_ok(&$msg,$id) {
  $msg = '';

  # kovakoodatut tietueet
  if (($id >= "1") && ($id <= "3")) {
    $msg = "Koodit 1, 2 ja 3 on suojattu.";
    return 2;
  }

  # jos paikkaan on viittauksia ryhmiss
  # sit ei voi poistaa
  $ref = ota_yksi("
SELECT COUNT(*)
FROM ryhma
WHERE paikka_id = $id
");
  if ($ref != 0) {
    $msg = "Thn koodiin on viittauksia $ref eri ryhmss. Sit ei voi
 poistaa ennen kuin viittaukset on siivottu.";
    return 2;
  }
  
  return 0;
}

?>

<!-- RCS $Id: paikka-ok.php,v 1.2 2009/02/05 16:39:46 riku Exp $ -->
