<?php

$table = "paikka";
$file = "paikka0.php";

include "common.php";
include "paikka-ok.php";

echo "
<html>
<head>
 <title>VIHA - Sijaintikoodit (paikat)</title>
</head>
" . body_bgcolor() . "
<h1>Sijaintikoodien ksittely ja siirto operaatiosta toiseen</h1>
";

hallinnolliset_linkit();

$id = get_nro_0('id');
$paivystys_id = get_nro_1('paivystys_id');
$paikka = get_txt('paikka');

$add = get_txt('add');
$clear = get_txt('clear');
$save = get_txt('save');
$confirm = get_txt('confirm');
$change = get_txt('change');
$remove = get_txt('remove');

oltava_0($file, $table, $id);

if (($add != '') && saa_tehda("$file:add")) {
  $ret = paikka_add_ok($herja,$paivystys_id,$paikka);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $sql = "
INSERT INTO $table
VALUES (0, $paivystys_id, '$paikka', '$now')
";
    $result = my_mysql_query ($sql);
    $clear = "SISINEN";
    loki("$sql id=" . last_insert_id());
  }
  if ($ret != 0) {
    echo "<p>$herja\n";
  }
 }

if (($save != '') && saa_tehda("$file:save")) {
  $ret = paikka_save_ok($herja,$id,$paivystys_id,$paikka);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    # Jos on ryhmi, joilla on tm sijaintikoodi ja toinen pivystyskoodi,
    # muuta ne
    $paivitettavat_ryhmat = ota_yksi ("
SELECT COUNT(*)
FROM ryhma
WHERE paikka_id = $id AND paivystys_id != $paivystys_id AND paivystys_id != 0
");
    if ($paivitettavat_ryhmat > 0) {
      $sql1 = "
UPDATE ryhma
SET paikka_id = 1
WHERE paikka_id = $id AND paivystys_id != $paivystys_id AND paivystys_id != 0
";
      $result1 = my_mysql_query($sql1);
      loki($sql1);
    }
    $sql = "
UPDATE $table
SET paivystys_id=$paivystys_id, paikka='$paikka', ts='$now'
WHERE id=$id";
    $result = my_mysql_query ($sql);
    echo "<p>Tiedot pivitetty.\n";
    if ($paivitettavat_ryhmat > 0) {
      echo " Mys $paivitettavat_ryhmat ryhmn tietoja muutettu.";
    }
    $clear = "SISINEN";
    loki($sql);
  } 
  if ($ret != 0) {
    echo "<p>$herja\n";
  }
 } # save

if (($confirm != '') && saa_tehda("$file:confirm")) {
  $ret = paikka_remove_ok($herja,$id);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $sql = "DELETE FROM $table WHERE id = $id";
    $result = my_mysql_query ($sql);
    echo "<p>Tiedot poistettu.\n";
    $clear = "SISINEN";
    loki($sql);
  }
  if ($ret != 0) {
    echo "<p>$herja\n";
  }
 }

if ($clear != '') {
    $id = "0";
    $paivystys_id = 1;
    $paikka = '';
}

# readonly tells if the fields are readonly. if not, they are editable.
if ($remove != '') { $readonly = 1; } else { $readonly = 0; }

# removable tells if we can actually remove this record
if ($remove != '') {
  $removable = 0;
  $ret = paikka_remove_ok($herja,$id);
  if ($ret != 2) {
    $removable = 1;
  }
  if ($ret != 0) {
    echo "<p>$herja\n";
  }
 }

echo "<form action=\"\" method=\"GET\">\n";
echo "<p><table border=0>\n";

if ($id != "0") {
  $result = my_mysql_query("SELECT * FROM $table WHERE id = $id");
  $a = mysql_fetch_array($result);
  $paivystys_id = $a[paivystys_id];
  $paikka = $a[paikka];
}		  

echo "<tr><td>Id:";
if ($id == "0") {
  echo "<td>(tehdn uusi)\n";
} else {
  echo "<td>$id\n";
}
echo "<td><input type=\"hidden\" name=\"id\" size=8 maxlength=8";
echo " value=\"$id\">\n";

echo "<tr><td>Operaatio:";
if ($readonly) {
  echo "<td>"
    . ota_yksi_0("SELECT nimi FROM paivystys WHERE id = $paivystys_id",
		 $paivystys_id, "KAIKKI")
    . "\n";
} else {
  echo "<td>\n";
  tee_valinta_plus_0("paivystys_id", $paivystys_id, "paivystys", "id",
		     "nimi", "", "KAIKKI");
}

echo "<tr><td>Sijaintikoodi:";
if ($readonly) {
  echo "<td>$paikka\n";
} else {
  echo "<td><input type=\"text\" name=\"paikka\" size=64 maxlength=64";
  echo " value=\"$paikka\">\n";
}

echo "</table>\n";

if ($change != "") {
  echo "<input type=\"submit\" name=\"save\" value=\"TALLENNA\">\n";
  echo "<input type=\"submit\" name=\"clear\" value=\"PERUUTA\">\n";
} elseif ($remove != "") {
  if ($removable) {
    echo "<input type=\"submit\" name=\"confirm\" value=\"VAHVISTA POISTO\">\n";
  }
  echo "<input type=\"submit\" name=\"clear\" value=\"PERUUTA\">\n";
} else {
  echo "<input type=\"submit\" name=\"add\" value=\"LIS\">\n";
  echo "<input type=\"submit\" name=\"clear\" value=\"TYHJENN\">\n";
}

$result = my_mysql_query("
SELECT *
FROM $table
ORDER BY paivystys_id,paikka
");
if ($result) {
    echo "<p><TABLE BORDER=1>\n";
    echo tr_bgcolor()
      . "<TH>Id<TH>Aikaleima<TH>Operaatio<TH>Sijaintikoodi\n";
    while ($a = mysql_fetch_array($result)) {
      echo "<TR><TD>$a[id]", "<TD>$a[ts]",
	"<TD>" . ota_yksi_0 ("SELECT nimi FROM paivystys WHERE id = $a[paivystys_id]",
			     $a[paivystys_id], "KAIKKI"),
	"<TD>$a[paikka]";
      if (($id == "0") && ($a['id'] != "1")) {
	echo "<td><a href=\"paikka0.php?id=$a[id]&change=MUUTA\">MUUTA</a>\n";
	echo "<td><a href=\"paikka0.php?id=$a[id]&remove=POISTA\">POISTA</a>\n";
      }
    }
    echo "</TABLE>";
} else {
    echo "<P>Plop. Ei henkiln tilakoodeja.";
}

echo "</form>\n";

loppu();

?>
</body> 
</html>
<!-- RCS $Id: paikka0.php,v 1.2 2009/01/31 08:56:58 riku Exp $ -->
