<?php

include "common.php";

function check_dupes($table, $field, $has_paivystys)
{
  global $viat, $huom, $herjat;
  $reported = array();

  echo " Tarkastetaan duplikaatit:";
  if ($has_paivystys) {
    $sql = "SELECT id,paivystys_id,$field FROM $table ORDER BY id";
  } else {
    $sql = "SELECT id,$field FROM $table ORDER BY id";
  }
  $result = mysql_query($sql);
  while ($a = mysql_fetch_array($result)) {
    $a_id = $a['id'];
    $a_field = $a[$field];
    if ($has_paivystys) {
      $a_paivystys_id = $a['paivystys_id'];
    }
    echo " $a_id";
    if ($has_paivystys) {
      $sql1 = "
SELECT id
FROM $table
WHERE $field = '$a_field' AND id != $a_id
      AND (paivystys_id = 0 OR paivystys_id = $a_paivystys_id)
";
    } else {
      $sql1 = "
SELECT id
FROM $table
WHERE $field = '$a_field' AND id != $a_id
";
    }
    $dup = ota_yksi($sql1);
    if ($dup != '') {
      if (! isset($reported[$a_id])) {
	$herjat = $herjat . "<p>Duplikaatti taulussa $table: id:t $a_id, $dup";
	$viat ++;
	$reported[$dup] = 1;
      }
      echo "<font color=red>V</font>";
    }
  }
  echo " tehty.";
  unset($reported);
}

function check_existence($table)
{
  global $viat, $huom, $herjat;

  $sql = "SELECT * FROM $table";
  $result = mysql_query($sql);
  if (! $result) {
    $herjat = $herjat . "<p>Taulua $table ei lydy";
    echo " <font color=red>table</font>";
    $viat ++;
    return 0;
  }
  echo " $table";
  return 1;
}

function check_my_id_on_table_matched_to_n($my_id,$table,$n,$nc,$zero)
{
  global $viat, $huom, $herjat;

  if ($nc == '') { $nc = $n; }
  
  echo "<p>Tarkastetaan ett jokaiselle $my_id:lle lytyy vastine
$n-taulusta:";
  $sql = "SELECT DISTINCT $my_id FROM $table ORDER BY $my_id";
  $result = mysql_query($sql);
  while ($a = mysql_fetch_array($result)) {
    $a_my_id = $a[$my_id];
    echo " $a_my_id";
    if ($zero != '') {
      $ryhma = ota_yksi_0 ("SELECT $nc FROM $n WHERE id = $a_my_id",
			   $a_my_id, $zero);
    } else {
      $ryhma = ota_yksi ("SELECT $nc FROM $n WHERE id = $a_my_id");
    }
    if ($ryhma == '') {
      $herjat = $herjat
	. "<p>VIKA: Taulussa $table olevalle $my_id:lle
$a_my_id ei lydy vastinetta taulusta $n";
      echo "<font color=red>V</font>";
      $viat ++;
    }
  }
  echo " tehty.\n";
}

# $table taulu jonka saraketta $n . "_id" tarkastellaan
# $n taulu, johon n_id viittaa
# $nc tekstisarake taulussa $n, jos tyhj => $n
# $zero != '' => nolla-arvo on ok

function check_n_id_on_table_matched_to_n($table,$n,$nc,$zero) {
  return 
    check_my_id_on_table_matched_to_n($n . "_id",$table,$n,$nc,$zero);
}

echo "
<html>
<head>
 <title>VIHA - Tietokannan tarkastus</title>
</head>
" . body_bgcolor() . "
";

echo "<h1>Tietokannan tarkastus</h1>\n";

hallinnolliset_linkit();

$viat = 0;
$huom = 0;
$herjat = '';

# tarkastetaan kaikkien taulujen olemassaolo

echo "<h2>Taulujen olemassaolo</h2>\n";
echo "<p>Tarkastetaan taulujen olemassaolo:";

$table_kayttajat = check_existence("kayttajat");
$table_paivystys = check_existence("paivystys");
$table_paikka = check_existence("paikka");
$table_verkko = check_existence("verkko");
$table_ryhma_tila = check_existence("ryhma_tila");
$table_ryhma = check_existence("ryhma");
$table_jarjesto = check_existence("jarjesto");
$table_hlo_tila = check_existence("hlo_tila");
$table_hlo_asema = check_existence("hlo_asema");
$table_hlo = check_existence("hlo");
$table_tap = check_existence("tap");
$table_lapsi_tila = check_existence("lapsi_tila");
$table_kadonnut = check_existence("kadonnut");
$table_loytynyt = check_existence("loytynyt");
$table_loki = check_existence("loki");
$table_taktinen_loki = check_existence("taktinen_loki");
$table_suoja = check_existence("suoja");
$table_laite_tyyppi = check_existence("laite_tyyppi");
$table_laite = check_existence("laite");
$table_tavara_tyyppi = check_existence("tavara_tyyppi");
$table_tavara = check_existence("tavara");
$table_juuei = check_existence("juuei");

echo " tehty.\n";

$table = "hlo_asema";
echo "<h2>Taulu $table</h2>\n";
if ($table_hlo_asema) {
  check_dupes($table, "hlo_asema", 0);
}

$table = "lapsi_tila";
echo "<h2>Taulu $table</h2>\n";
if ($table_lapsi_tila) {
  check_dupes($table, "lapsi_tila", 0);
}

$table = "verkko";
echo "<h2>Taulu $table</h2>\n";
if ($table_verkko) {
  check_dupes($table, "verkko", 0);
}

$table = "paivystys";
echo "<h2>Taulu $table</h2>\n";
if ($table_paivystys) {
  check_dupes($table, "nimi", 0);
  if ($table_verkko) {
    echo "<p>Tarkastetaan ett jokaiselle oletus_verkko_id:lle lytyy vastine
verkko-taulusta:";
    $sql = "
SELECT DISTINCT oletus_verkko_id
FROM $table
ORDER BY oletus_verkko_id";
    $result = mysql_query($sql);
    while ($a = mysql_fetch_array($result)) {
      $a_oletus_verkko_id = $a[oletus_verkko_id];
      echo " $a_oletus_verkko_id";
      $verkko
	= ota_yksi ("SELECT verkko FROM verkko WHERE id = $a_oletus_verkko_id");
      if ($verkko == '') {
	$herjat = $herjat
	  . "<p>VIKA: Taulussa $table olevalle oletus_verkko_id:lle
$a_oletus_verkko_id ei lydy vastinetta taulusta verkko";
	echo "<font color=red>V</font>";
	$viat ++;
      }
    }
    echo " tehty.\n";
  }
}

$table = "ryhma_tila";
echo "<h2>Taulu $table</h2>\n";
if ($table_ryhma_tila) {
  check_dupes($table, "ryhma_tila", 1);
  if ($table_paivystys) {
    check_n_id_on_table_matched_to_n($table,"paivystys","nimi","NOLLA");
  }
  # XXX ryhma_tila_id:t ryhmista lapi. operaation pitaa tasmata
}

$table = "hlo_tila";
echo "<h2>Taulu $table</h2>\n";
if ($table_hlo_tila) {
  check_dupes($table, "hlo_tila", 1);
  if ($table_paivystys) {
    check_n_id_on_table_matched_to_n($table,"paivystys","nimi","NOLLA");
  }
}

$table = "jarjesto";
echo "<h2>Taulu $table</h2>\n";
if ($table_jarjesto) {
  check_dupes($table, "jarjesto", 0);
  if ($table_paivystys) {
    check_n_id_on_table_matched_to_n($table,"paivystys","nimi","NOLLA");
  }
}

$table = "kayttajat";
echo "<h2>Taulu $table</h2>\n";
if ($table_kayttajat) {
  check_dupes($table, "username", 0);
  if ($table_paivystys) {
    check_n_id_on_table_matched_to_n($table,"paivystys","nimi","NOLLA");
  }
}

$table = "loki";
echo "<h2>Taulu $table</h2>\n";
if ($table_loki) {
  if ($table_paivystys) {
    check_n_id_on_table_matched_to_n($table,"paivystys","nimi","NOLLA");
  }
}

$table = "taktinen_loki";
echo "<h2>Taulu $table</h2>\n";
if ($table_taktinen_loki) {
  if ($table_paivystys) {
    check_n_id_on_table_matched_to_n($table,"paivystys","nimi","NOLLA");
  }
}

$table = "paikka";
echo "<h2>Taulu $table</h2>\n";
if ($table_paikka) {
  check_dupes($table, "paikka", 1);
  if ($table_paivystys) {
    check_n_id_on_table_matched_to_n($table,"paivystys","nimi","NOLLA");
  }
}

$table = "hlo";
echo "<h2>Taulu $table</h2>\n";
if ($table_hlo) {
  check_dupes($table, "nimi", 1);
  if ($table_paivystys) {
    check_n_id_on_table_matched_to_n($table,"paivystys","nimi","NOLLA");
  }
  if ($table_ryhma) {
    check_n_id_on_table_matched_to_n($table,"ryhma","kutsu","");
  }
  if ($table_hlo_tila) {
    check_n_id_on_table_matched_to_n($table,"hlo_tila","","");
  }
  if ($table_hlo_asema) {
    check_n_id_on_table_matched_to_n($table,"hlo_asema","","");
  }
  if ($table_jarjesto) {
    check_n_id_on_table_matched_to_n($table,"jarjesto","","");
  }
}

$table = "ryhma";
echo "<h2>Taulu $table</h2>\n";
if ($table_ryhma) {
  check_dupes($table, "kutsu", 1);
  if ($table_paivystys) {
    check_n_id_on_table_matched_to_n($table,"paivystys","nimi","NOLLA");
  }
  if ($table_paikka) {
    check_n_id_on_table_matched_to_n($table,"paikka","","");
  }
  if ($table_ryhma_tila) {
    check_n_id_on_table_matched_to_n($table,"ryhma_tila","","");
  }
  if ($table_verkko) {
    check_n_id_on_table_matched_to_n($table,"verkko","","");
  }
  if ($table_hlo) {
    echo "
<p>Tarkastetaan ett jokaiseen ryhmn kuuluu vhintn yksi henkil:";
    $sql = "SELECT id FROM ryhma ORDER BY id";
    $result = mysql_query($sql);
    while ($a = mysql_fetch_array($result)) {
      $a_id = $a[id];
      echo " $a_id";
      $ryhma = ota_yksi ("SELECT COUNT(id) FROM hlo WHERE ryhma_id = $a_id");
      if (($ryhma == 0) && ($a_id != 1)) {
	$herjat = $herjat
	  . "<p>HUOM: Ryhmss numero $a_id ei ole yhtn jsent";
	echo "<font color=blue>H</font>";
	$huom ++;
      }
    }
    echo " tehty.\n";
  }
}

$table = "tap";
echo "<h2>Taulu $table</h2>\n";
if ($table_tap) {
  if ($table_ryhma) {
    check_n_id_on_table_matched_to_n($table,"ryhma","kutsu","");
  }
}

$table = "kadonnut";
echo "<h2>Taulu $table</h2>\n";
if ($table_kadonnut) {
  if ($table_paivystys) {
    check_n_id_on_table_matched_to_n($table,"paivystys","nimi","NOLLA");
  }
  if ($table_lapsi_tila) {
    check_n_id_on_table_matched_to_n($table,"lapsi_tila","","");
  }
}

$table = "loytynyt";
echo "<h2>Taulu $table</h2>\n";
if ($table_loytynyt) {
  if ($table_paivystys) {
    check_n_id_on_table_matched_to_n($table,"paivystys","nimi","NOLLA");
  }
  if ($table_lapsi_tila) {
    check_n_id_on_table_matched_to_n($table,"lapsi_tila","","");
  }
}

$table = "laite";
echo "<h2>Taulu $table</h2>\n";
if ($table_laite) {
  if ($table_paivystys) {
    check_n_id_on_table_matched_to_n($table,"paivystys","nimi","NOLLA");
  }
  if ($table_jarjesto) {
    check_n_id_on_table_matched_to_n($table,"jarjesto","","");
  }
  if ($table_hlo) {
    check_n_id_on_table_matched_to_n($table,"hlo","nimi","NOLLA");
  }
  if ($table_verkko) {
    check_n_id_on_table_matched_to_n($table,"verkko","","");
  }
  if ($table_ryhma) {
    check_n_id_on_table_matched_to_n($table,"ryhma","kutsu","");
  }
  if ($table_juuei) {
    check_my_id_on_table_matched_to_n("merkitty",$table,"juuei","","");
  }
  if ($table_juuei) {
    check_my_id_on_table_matched_to_n("vakuutettu",$table,"juuei","","");
  }
  if ($table_laite_tyyppi) {
    check_n_id_on_table_matched_to_n($table,"laite_tyyppi","","");
  }
}

$table = "tavara";
echo "<h2>Taulu $table</h2>\n";
if ($table_tavara) {
  if ($table_tavara_tyyppi) {
    check_n_id_on_table_matched_to_n($table,"tavara_tyyppi","","");
  }
  if ($table_paivystys) {
    check_n_id_on_table_matched_to_n($table,"paivystys","nimi","NOLLA");
  }
  if ($table_jarjesto) {
    check_n_id_on_table_matched_to_n($table,"jarjesto","","");
  }
  if ($table_hlo) {
    check_n_id_on_table_matched_to_n($table,"hlo","nimi","NOLLA");
  }
  if ($table_ryhma) {
    check_n_id_on_table_matched_to_n($table,"ryhma","kutsu","");
  }
  if ($table_juuei) {
    check_my_id_on_table_matched_to_n("merkitty",$table,"juuei","","");
  }
  if ($table_juuei) {
    check_my_id_on_table_matched_to_n("vakuutettu",$table,"juuei","","");
  }
}

if ($herjat == '') {
  echo "<h1><font color=green>Ei virheilmoituksia</font></h1>";
} else {
  echo "<h1><font color=red>Virheilmoitukset</font></h1>";
  echo $herjat;
}

loppu();

?>
</body> 
</html>
<!-- RCS $Id: tarkasta-kanta.php,v 1.18 2009/01/25 13:12:54 riku Exp $ -->
